# Poco::Net

# class MultipartInputStream

Library: Net
Package: Messages
Header: Poco/Net/MultipartReader.h

## Description

This class is for internal use by MultipartReader only.

## Inheritance

Direct Base Classes: MultipartIOS, std::istream

All Base Classes: MultipartIOS, std::ios, std::istream

## Member Summary

Inherited Functions: lastPart, rdbuf

## Constructors

### MultipartInputStream

MultipartInputStream(
std::istream & istr,
const std::string & boundary
);

## Destructor

### ~MultipartInputStream

~MultipartInputStream();